=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: kparts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               libkf5config-dev (>= 5.86.0~),
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5iconthemes-dev (>= 5.86.0~),
-               libkf5jobwidgets-dev (>= 5.86.0~),
-               libkf5kio-dev (>= 5.86.0~),
-               libkf5service-dev (>= 5.86.0~),
-               libkf5textwidgets-dev (>= 5.86.0~),
-               libkf5widgetsaddons-dev (>= 5.86.0~),
-               libkf5xmlgui-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5iconthemes-dev (>= 5.92.0~),
+               libkf5jobwidgets-dev (>= 5.92.0~),
+               libkf5kio-dev (>= 5.92.0~),
+               libkf5service-dev (>= 5.92.0~),
+               libkf5textwidgets-dev (>= 5.92.0~),
+               libkf5widgetsaddons-dev (>= 5.92.0~),
+               libkf5xmlgui-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
                xauth,
                xvfb,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kparts
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
@@ -45,10 +45,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.86.0~),
+Depends: libkf5kio-dev (>= 5.92.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.86.0~),
-         libkf5xmlgui-dev (>= 5.86.0~),
+         libkf5textwidgets-dev (>= 5.92.0~),
+         libkf5xmlgui-dev (>= 5.92.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),
