=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
-               libkf5config-dev (>= 5.100.0~),
-               libkf5coreaddons-dev (>= 5.100.0~),
-               libkf5i18n-dev (>= 5.100.0~),
-               libkf5iconthemes-dev (>= 5.100.0~),
-               libkf5jobwidgets-dev (>= 5.100.0~),
-               libkf5kio-dev (>= 5.100.0~),
-               libkf5service-dev (>= 5.100.0~),
-               libkf5textwidgets-dev (>= 5.100.0~),
-               libkf5widgetsaddons-dev (>= 5.100.0~),
-               libkf5xmlgui-dev (>= 5.100.0~),
+               extra-cmake-modules (>= 5.102.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5iconthemes-dev (>= 5.102.0~),
+               libkf5jobwidgets-dev (>= 5.102.0~),
+               libkf5kio-dev (>= 5.102.0~),
+               libkf5service-dev (>= 5.102.0~),
+               libkf5textwidgets-dev (>= 5.102.0~),
+               libkf5widgetsaddons-dev (>= 5.102.0~),
+               libkf5xmlgui-dev (>= 5.102.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -25,7 +25,7 @@
                qttools5-dev-tools,
                xauth,
                xvfb,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kparts
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kparts
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kparts.git
@@ -43,10 +43,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.100.0~),
+Depends: libkf5kio-dev (>= 5.102.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.100.0~),
-         libkf5xmlgui-dev (>= 5.100.0~),
+         libkf5textwidgets-dev (>= 5.102.0~),
+         libkf5xmlgui-dev (>= 5.102.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),
